Package org.eclipse.core.runtime

# Class OperationCanceledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.core.runtime.OperationCanceledException

All Implemented Interfaces:
  `Serializable`

public final class OperationCanceledException extends RuntimeException
This exception is thrown to blow out of a long-running method when the user cancels it.

This class can be used without OSGi running.

This class is not intended to be subclassed by clients but may be instantiated.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OperationCanceledException()`
Creates a new exception.
`OperationCanceledException(String message)`
Creates a new exception with the given message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OperationCanceledException

public OperationCanceledException()
Creates a new exception.

### OperationCanceledException

public OperationCanceledException(String message)
Creates a new exception with the given message.

Parameters:
  `message` - the message for the exception